# object

An object stores data content, such as documents, images, and so on. They can also store custom metadata with an object. Applies to Object Storage v1.

## object create

Upload object to container

    openstack object create
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--name <name>]
        <container>
        <filename>
        [<filename> ...]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--name <name>

  Upload a file and rename it. Can only be used when uploading a single object

container

  Container for new object

filename

  Local filename(s) to upload

## object delete

Delete object from container

    openstack object delete <container> <object> [<object> ...]

container

  Delete object(s) from <container>

object

  Object(s) to delete

## object list

List objects

    openstack object list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--delimiter <delimiter>]
        [--limit <limit>]
        [--marker <marker>]
        [--end-marker <end-marker>]
        [--long]
        [--all]
        <container>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--delimiter <delimiter>

  Roll up items with <delimiter>

--limit <limit>

  The maximum number of entries to return. If the value exceeds the server-defined maximum, then the maximum value will be used.

--marker <marker>

  The first position in the collection to return results from. This should be a value that was returned in a previous request.

--end-marker <end-marker>

  End anchor for paging

--long

  List additional fields in output

--all

  List all objects in container (default is 10000)

container

  Container to list

## object save

Save object locally

    openstack object save [--file <filename>] <container> <object>

--file <filename>

  Destination filename (defaults to object name); using ‘-’ as the filename will print the file to stdout

container

  Download <object> from <container>

object

  Object to save

## object set

Set object properties

    openstack object set --property <key =value> <container> <object>

--property <key=value>

  Set a property on this object (repeat option to set multiple properties)

container

  Modify <object> from <container>

object

  Object to modify

## object show

Display object details

    openstack object show <container> <object>

container

  Display <object> from <container>

object

  Object to display

## object unset

Unset object properties

    openstack object unset --property <key> <container> <object>

--property <key>

  Property to remove from object (repeat option to remove multiple properties)

container

  Modify <object> from <container>

object

  Object to modify

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.